tigase.jaxmpp.j2se.connection.socks5bytestream

## Enum Socks5ConnectionManager.State

- java.lang.Object
- - java.lang.Enum<Socks5ConnectionManager.State>
  - - tigase.jaxmpp.j2se.connection.socks5bytestream.Socks5ConnectionManager.State

- All Implemented Interfaces:
    Serializable, Comparable<Socks5ConnectionManager.State>
  Enclosing class:
    Socks5ConnectionManager

      public static enum Socks5ConnectionManager.State
      extends Enum<Socks5ConnectionManager.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Active`
    `ActiveServ`
    `Auth`
    `AuthResp`
    `Closed`
    `Command`
    `Welcome`
    `WelcomeResp`
    `WelcomeServ`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Socks5ConnectionManager.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Socks5ConnectionManager.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Active

          public static final Socks5ConnectionManager.State Active

    - #### ActiveServ

          public static final Socks5ConnectionManager.State ActiveServ

    - #### Auth

          public static final Socks5ConnectionManager.State Auth

    - #### AuthResp

          public static final Socks5ConnectionManager.State AuthResp

    - #### Closed

          public static final Socks5ConnectionManager.State Closed

    - #### Command

          public static final Socks5ConnectionManager.State Command

    - #### Welcome

          public static final Socks5ConnectionManager.State Welcome

    - #### WelcomeResp

          public static final Socks5ConnectionManager.State WelcomeResp

    - #### WelcomeServ

          public static final Socks5ConnectionManager.State WelcomeServ

  - ### Method Detail

    - #### values

          public static Socks5ConnectionManager.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Socks5ConnectionManager.State c : Socks5ConnectionManager.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Socks5ConnectionManager.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2016 Tigase. All rights reserved.